org.apache.solr.common.params

## Enum ConfigSetParams.ConfigSetAction

- java.lang.Object
- - java.lang.Enum<ConfigSetParams.ConfigSetAction>
  - - org.apache.solr.common.params.ConfigSetParams.ConfigSetAction

- All Implemented Interfaces:
    Serializable, Comparable<ConfigSetParams.ConfigSetAction>
  Enclosing interface:
    ConfigSetParams

      public static enum ConfigSetParams.ConfigSetAction
      extends Enum<ConfigSetParams.ConfigSetAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE`
    `DELETE`
    `LIST`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConfigSetParams.ConfigSetAction` | `get(String p)`
    `boolean` | `isEqual(String s)`
    `String` | `toLower()`
    `static ConfigSetParams.ConfigSetAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConfigSetParams.ConfigSetAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final ConfigSetParams.ConfigSetAction CREATE

    - #### DELETE

          public static final ConfigSetParams.ConfigSetAction DELETE

    - #### LIST

          public static final ConfigSetParams.ConfigSetAction LIST

  - ### Method Detail

    - #### values

          public static ConfigSetParams.ConfigSetAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigSetParams.ConfigSetAction c : ConfigSetParams.ConfigSetAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigSetParams.ConfigSetAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static ConfigSetParams.ConfigSetAction get(String p)

    - #### isEqual

          public boolean isEqual(String s)

    - #### toLower

          public String toLower()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.